version: 0.1.0-{build}

environment:
    global:
        MSYSTEM: "MINGW64"

platform: x64

configuration:
    - Release

build:
  verbosity: minimal

install:
    - set QT_DIR=C:\Qt\5.8\msvc2015_64
    - set PATH=%PATH%;%QT_DIR%\bin;C:\MinGW\bin
    - copy LICENSE .ci\windows\LICENSE.txt
    - cinst nsis --version 3.0 -y -installArgs /D=C:\nsis

build_script:
    - cmake -G "Visual Studio 14 2015 Win64" -H. -Bbuild -DAPPVEYOR_BUILD=ON
    - cmake --build build --config Release

after_build:
    - mkdir NhekoRelease
    - copy build\Release\nheko.exe NhekoRelease\nheko.exe
    - windeployqt --qmldir C:\Qt\5.8\msvc2015_64\qml\ --release NhekoRelease\nheko.exe
    - copy C:\OpenSSL-Win64\bin\ssleay32.dll .\NhekoRelease\ssleay32.dll
    - copy C:\OpenSSL-Win64\bin\libeay32.dll .\NhekoRelease\libeay32.dll
    - copy C:\OpenSSL-Win64\lib\libeay32.lib .\NhekoRelease\libeay32.lib
    - copy C:\OpenSSL-Win64\bin\ssleay32.dll .\NhekoRelease\ssleay32.dll
    - 7z a nheko_win_64.zip .\NhekoRelease\*
    - C:\nsis\makensis .ci\windows\nheko.nsi

deploy:
    description: "Development builds"
    provider: GitHub
    auth_token:
      secure: YqB7hcM+4482eSHhtVR7ZA7N7lE78y8BC897/7UDTBQd+NWdWFW/6S+oKDie9TT7
    artifact: nheko_setup.exe
    force_update: true
    prerelease: true
    on:
      appveyor_repo_tag: true

artifacts:
    - path: nheko_win_64.zip
    - path: NhekoRelease\nheko.exe
    - path: nheko_setup.exe
